Bug 147164 - Update www/dansguardian to 2.10.1.1
Summary: Update www/dansguardian to 2.10.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-28 16:50 UTC by ncrogers
Modified: 2010-06-06 09:40 UTC (History)
0 users

See Also:


Attachments
file.diff (815 bytes, patch)
2010-05-28 16:50 UTC, ncrogers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ncrogers 2010-05-28 16:50:01 UTC
dansguardian 2.10.1.1 is the latest stable release and thus the port should be updated. The release is about a year old and addresses several bugfixes.

from the dansguardian website:
"Fri 5th June 2009 - DansGuardian 2.10.1.1 - stable 
Add "originalip" option to dansguardian.conf, for determining the original destination IP in transparent proxy set-ups, and ensuring that the destination domain of the request resolves to that IP. This can help to address a particular transparent proxy security vulnerability (US-CERT VU#435052), but because of certain limitations - only implemented on Linux/Netfilter; potential breakage of websites using round-robin DNS - the code is not enabled by default. Enable by passing "--enable-orig-ip" to the configure script. Fix a crash which could occur when dealing with simultaneous incoming connections in configurations using more than one listening socket. Fix a crash when checking time limits on item lists. Fix potential usage of uninitialised memory during phrase filtering."

The latter fixes are of concern to me.

I was able to build a package for the newer version by simply changing PORTVERSION in the port's Makefile and running "make makesum" before building. See attached diff if necessary. This seems to be the only change necessary and results in a package that works in my environment.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-05-29 16:55:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-06-02 09:44:21 UTC
State Changed
From-To: open->feedback

fails to fetch 
http://32bit.miwibox.org/index.php?action=describe_port&id=2140
Comment 3 ncrogers 2010-06-04 17:30:37 UTC
--Apple-Mail-5-1009094121
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

The port fails to fetch because you first have to download the source =
manually into distfiles. This is due to the way dansguardian is =
licensed.

See relevant sections of the Makefile.

# User needs to manually download the distfile
.if !(exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})) && =
!defined(PACKAGE_BUILDING)
IGNORE=3D	commercial source download is restricted.  Please visit =
and read ${DG_URL} and download ${DISTNAME}${EXTRACT_SUFX} into =
${DISTDIR} before running make
.endif

RESTRICTED=3D	Redistribution and commercial download is restricted.  =
Check ${DG_URL} for more info


--Apple-Mail-5-1009094121
Content-Transfer-Encoding: 7bit
Content-Type: text/html;
	charset=us-ascii

<html><body style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; ">The port fails to fetch because you first have to download the source manually into distfiles. This is due to the way dansguardian is licensed.<div><br></div><div>See relevant sections of the Makefile.</div><div><br></div><div><span class="Apple-style-span" style="font-family: Times; "><pre style="word-wrap: break-word; white-space: pre-wrap; "># User needs to manually download the distfile
.if !(exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})) &amp;&amp; !defined(PACKAGE_BUILDING)
IGNORE=	commercial source download is restricted.  Please visit and read ${DG_URL} and download ${DISTNAME}${EXTRACT_SUFX} into ${DISTDIR} before running make
.endif</pre><pre style="word-wrap: break-word; white-space: pre-wrap; "><br></pre></span></div><div><meta charset="utf-8"><span class="Apple-style-span" style="font-family: Times; "><pre style="word-wrap: break-word; white-space: pre-wrap; ">RESTRICTED=	Redistribution and commercial download is restricted.  Check ${DG_URL} for more info</pre></span><div><meta charset="utf-8"><span class="Apple-style-span" style="font-family: Times; "><pre style="word-wrap: break-word; white-space: pre-wrap; "><font class=" Apple-style-span" face="Helvetica"><span class="Apple-style-span" style="white-space: normal;"><font class="Apple-style-span" face="monospace"><span class="Apple-style-span" style="white-space: pre-wrap;"><br></span></font></span></font></pre></span
Comment 4 Martin Wilke freebsd_committer 2010-06-06 09:31:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2010-06-06 09:32:04 UTC
miwi        2010-06-06 08:31:40 UTC

  FreeBSD ports repository

  Modified files:
    www/dansguardian     Makefile distinfo 
  Log:
  - Update to 2.10.1.1
  
  PR:             147164
  Submitted by:   Nick Rogers <ncrogers@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.32      +1 -1      ports/www/dansguardian/Makefile
  1.17      +4 -3      ports/www/dansguardian/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"